Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.services.persondir.support.legacy
Class PersonDirInfo

    java.lang.Object
      org.jasig.portal.services.persondir.support.legacy.PersonDirInfo

     class PersonDirInfo

extends java.lang.Object

Legacy PersonDirInfo bean.

Since:
  uPortal 2.5
Version:
  $Revision: 1.3 $ $Date: 2005/04/06 15:31:20 $
Author:
  andrew.petro@yale.edu

Field Summary
`private java.lang.String[]` | `attributealiases` Names of attributes in uPortal.
`private java.lang.String[]` | `attributenames` Names of attributes in the underlying attribute source.
`private java.lang.String` | `driver` JDBC java class to register
`private java.lang.String` | `ldapRefName` Name of an LDAP resource configured in LdapServices.
`private int` | `ldaptimelimit` timeout for LDAP in milliseconds.
`private java.lang.String` | `logonid` database userid or LDAP user DN (if needed)
`private java.lang.String` | `logonpassword` password
`private java.lang.String` | `ResRefName` Resource Reference name for a J2EE style DataSource
`private java.lang.String` | `uidquery` SELECT or JNDI query for userid
`private java.lang.String` | `url` protocol, server, and initial connection parameters
`private java.lang.String` | `usercontext` where are users? "OU=people" or "CN=Users"

Constructor Summary
`PersonDirInfo()`

Method Summary
`boolean` | `equals(java.lang.Object other)`
`java.lang.String[]` | `getAttributealiases()`
`(package private) java.lang.String[]` | `getAttributenames()`
`(package private) java.lang.String` | `getDriver()` Get the fully qualified class name of the JDBC driver to use.
`(package private) java.lang.String` | `getLdapRefName()` Get the name of the LDAP source from LdapServices to use.
`(package private) int` | `getLdaptimelimit()` Get the time limit for LDAP queriues, in milliseconds.
`(package private) java.lang.String` | `getLogonid()` Get the username to use to authenticate to the PersonDirInfo-configured JDBC or LDAP source.
`(package private) java.lang.String` | `getLogonpassword()` Get the password to authenticate to the LDAP or JDBC source.
`(package private) java.lang.String` | `getResRefName()` Get the name of the RDBMServices-configured DataSource this PersonDirInfo indicates we should use.
`(package private) java.lang.String` | `getUidquery()` Get the parameterized JDBC or LDAP query - the single query parameter should be the user identifier.
`(package private) java.lang.String` | `getUrl()` Get the LDAP or JDBC url.
`(package private) java.lang.String` | `getUsercontext()` Get the context in which users are to be found.
`(package private) boolean` | `isJdbc()` Does this PersonDirInfo instance represent information about a JDBC information source?
`(package private) boolean` | `isLdap()` Does this PersonDirInfo instance represent information about an LDAP information source?
`(package private) void` | `setAttributealiases(java.lang.String[] attributealiases)`
`(package private) void` | `setAttributenames(java.lang.String[] attributenames)`
`(package private) void` | `setDriver(java.lang.String driver)` Set the name of the class to use as the JDBC driver for a directly-configured JDBC PersonDirInfo.
`(package private) void` | `setLdapRefName(java.lang.String ldapRefName)` Set the name of an LDAP resource to use from LdapServices.
`(package private) void` | `setLdaptimelimit(int ldaptimelimit)` Set the time limit, in milliseconds, for LDAP query.
`(package private) void` | `setLogonid(java.lang.String logonid)` Set the username to use to authenticate to the PersonDirInfo-configured JDBC or LDAP source.
`(package private) void` | `setLogonpassword(java.lang.String logonpassword)` Set the password to use to authenticate to the LDAP or JDBC source.
`(package private) void` | `setResRefName(java.lang.String resRefName)` Set the name of an RDBMServices-configured DataSource against which we should query for user attributes.
`(package private) void` | `setUidquery(java.lang.String uidquery)` Set the LDAP or JDBC uid query.
`(package private) void` | `setUrl(java.lang.String url)` Set the ldap or JDBC url.
`(package private) void` | `setUsercontext(java.lang.String usercontext)` Set the LDAP context in which users are to be found.
`java.lang.String` | `toString()`
`(package private) java.lang.String` | `validate()` Validate this object.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### url

    private java.lang.String url

  protocol, server, and initial connection parameters

### ResRefName

    private java.lang.String ResRefName

  Resource Reference name for a J2EE style DataSource

### ldapRefName

    private java.lang.String ldapRefName

  Name of an LDAP resource configured in LdapServices.

### driver

    private java.lang.String driver

  JDBC java class to register

### logonid

    private java.lang.String logonid

  database userid or LDAP user DN (if needed)

### logonpassword

    private java.lang.String logonpassword

  password

### usercontext

    private java.lang.String usercontext

  where are users? "OU=people" or "CN=Users"

### uidquery

    private java.lang.String uidquery

  SELECT or JNDI query for userid

### ldaptimelimit

    private int ldaptimelimit

  timeout for LDAP in milliseconds. 0 means wait forever

### attributenames

    private java.lang.String[] attributenames

  Names of attributes in the underlying attribute source. The ith element of this array corresponds to the ith element of attributenames to express a mapping from an attribute in the source to an attribute in uPortal.

### attributealiases

    private java.lang.String[] attributealiases

  Names of attributes in uPortal.

Constructor Detail

### PersonDirInfo

    PersonDirInfo()

Method Detail

### getAttributealiases

    public java.lang.String[] getAttributealiases()

  Returns:
    Returns the attributealiases.

### setAttributealiases

    void setAttributealiases(java.lang.String[] attributealiases)

  Parameters:
    `attributealiases` - The attributealiases to set.

### getAttributenames

    java.lang.String[] getAttributenames()

  Returns:
    Returns the attributenames.

### setAttributenames

    void setAttributenames(java.lang.String[] attributenames)

  Parameters:
    `attributenames` - The attributenames to set.

### getDriver

    java.lang.String getDriver()

  Get the fully qualified class name of the JDBC driver to use.

  Returns:
    fully qualified class name of JDBC driver.

### setDriver

    void setDriver(java.lang.String driver)

  Set the name of the class to use as the JDBC driver for a directly-configured JDBC PersonDirInfo.

  Parameters:
    `driver` - The driver to set.
  Throws:
    `java.lang.IllegalStateException` - if this is an LDAP or Res-Ref PDI.

### getLdaptimelimit

    int getLdaptimelimit()

  Get the time limit for LDAP queriues, in milliseconds. Zero has the special meaning of no time limit.

  Returns:
    time limit for ldap queries, in milliseconds. Zero means no time limit.

### setLdaptimelimit

    void setLdaptimelimit(int ldaptimelimit)

  Set the time limit, in milliseconds, for LDAP query. Special value of zero means no time limit.

  Parameters:
    `ldaptimelimit` - The ldaptimelimit to set.
  Throws:
    `java.lang.IllegalArgumentException` - if ldaptimelimt param < 0
    `java.lang.IllegalStateException` - if using JDBC.

### getLogonid

    java.lang.String getLogonid()

  Get the username to use to authenticate to the PersonDirInfo-configured JDBC or LDAP source.

  Returns:
    the username for authenticating to the soruce

### setLogonid

    void setLogonid(java.lang.String logonid)

  Set the username to use to authenticate to the PersonDirInfo-configured JDBC or LDAP source. Throws IllegalStateException if this PDI represents using an RDBMServices or LdapServices-configured datasource.

  Parameters:
    `logonid` - The logonid to set.
  Throws:
    `java.lang.IllegalStateException` - if this is a ResRef or Ldap-ref source.

### getLogonpassword

    java.lang.String getLogonpassword()

  Get the password to authenticate to the LDAP or JDBC source.

  Returns:
    the password

### setLogonpassword

    void setLogonpassword(java.lang.String logonpassword)

  Set the password to use to authenticate to the LDAP or JDBC source.

  Parameters:
    `logonpassword` - password to directly configured source

### getResRefName

    java.lang.String getResRefName()

  Get the name of the RDBMServices-configured DataSource this PersonDirInfo indicates we should use. Returns null if this PDI does not indicate we should use an RDBMServices-configured DataSource.

  Returns:
    the name of the RDBMServices-configured DataSource we should use.

### setResRefName

    void setResRefName(java.lang.String resRefName)

  Set the name of an RDBMServices-configured DataSource against which we should query for user attributes.

  Parameters:
    `resRefName` - the name of an RDBMServices-configured DataSource.
  Throws:
    `java.lang.IllegalArgumentException` - if resRefName param is null
    `java.lang.IllegalStateException` - if url or ldapRefName already set

### getUidquery

    java.lang.String getUidquery()

  Get the parameterized JDBC or LDAP query - the single query parameter should be the user identifier.

  Returns:
    LDAP or JDBC query parameterized by user identifier

### setUidquery

    void setUidquery(java.lang.String uidquery)

  Set the LDAP or JDBC uid query.

  Parameters:
    `uidquery` - The uidquery to set.
  Throws:
    `java.lang.IllegalArgumentException` - if param uidquery is null.

### getUrl

    java.lang.String getUrl()

  Get the LDAP or JDBC url.

  Returns:
    Returns the url.

### setUrl

    void setUrl(java.lang.String url)

  Set the ldap or JDBC url.

  Parameters:
    `url` - The url to set.
  Throws:
    `java.lang.IllegalArgumentException` - if the URL doesn't start with jdbc or ldap.
    `java.lang.IllegalStateException` - if ldapRefName or ResRefName is already set.

### getUsercontext

    java.lang.String getUsercontext()

  Get the context in which users are to be found.

  Returns:
    the context in which users are to be found.

### setUsercontext

    void setUsercontext(java.lang.String usercontext)

  Set the LDAP context in which users are to be found.

  Parameters:
    `usercontext` - LDAP context for users
  Throws:
    `java.lang.IllegalStateException` - if this is a JDBC PDI.

### isJdbc

    boolean isJdbc()

  Does this PersonDirInfo instance represent information about a JDBC information source?

  Returns:
    true if a JDBC source, false otherwise

### isLdap

    boolean isLdap()

  Does this PersonDirInfo instance represent information about an LDAP information source?

  Returns:
    true if a LDAP source, false otherwise

### getLdapRefName

    java.lang.String getLdapRefName()

  Get the name of the LDAP source from LdapServices to use.

  Returns:
    Returns the ldapRefName, or null if not set.

### setLdapRefName

    void setLdapRefName(java.lang.String ldapRefName)

  Set the name of an LDAP resource to use from LdapServices.

  Parameters:
    `ldapRefName` - The ldapRefName to set.
  Throws:
    `java.lang.IllegalStateException` - if ResRefName or url already set.

### equals

    public boolean equals(java.lang.Object other)

  Overrides:
    `equals` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### validate

    java.lang.String validate()

  Validate this object. In the case where this object is insufficient to describe a source for attributes, return a String describing the nature of the problem. In the case where this object is valid, returns null. Note that this method doesn't actually check that ResRefName or ldapRefName refers to an actually configured resource.

  Returns:
    null if valid or a String message describing problem

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD